/**
 * RoleLinkType2.java
 *
 * File generated from the medication2::RoleLinkType2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleLinkType2.
 *
 * 
 */

@XmlType(name = "RoleLinkType")
@XmlEnum
@XmlRootElement(name = "RoleLinkType2")
public enum RoleLinkType2 {
	@XmlEnumValue("REL")
	REL("REL"),
	@XmlEnumValue("BACKUP")
	BACKUP("BACKUP"),
	@XmlEnumValue("DIRAUTH")
	DIRAUTH("DIRAUTH"),
	@XmlEnumValue("INDAUTH")
	INDAUTH("INDAUTH"),
	@XmlEnumValue("PART")
	PART("PART"),
	@XmlEnumValue("REPL")
	REPL("REPL");
	
	private final String value;

    RoleLinkType2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleLinkType2 fromValue(String v) {
        for (RoleLinkType2 c: RoleLinkType2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
